from StringIO import StringIO

from Products.ATCustomTypes.migrations import migrateTypes


def importVarious(context):
    """
    Import various settings.

    Provisional handler that does initialization that is not yet taken
    care of by other handlers.
    """
    site = context.getSite()
    logger = context.getLogger('atcustomtypes')
    out = StringIO()
    migrateTypes(site, out)
    logger.info(out.getvalue())
    
    return 'Various settings from ATCustomTypes imported (type migration).'


